<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenCV Webcam: /home/e14/Cyprien/Webcam_openCV/inc/main.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">OpenCV Webcam
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains the methods declaration.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;argp.h&gt;</code><br />
<code>#include &lt;ncurses.h&gt;</code><br />
<code>#include &lt;cv.h&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
<code>#include &lt;errno.h&gt;</code><br />
<code>#include &lt;highgui.h&gt;</code><br />
<code>#include &lt;signal.h&gt;</code><br />
<code>#include &lt;stdbool.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;sys/stat.h&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;time.h&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.h:</div>
<div class="dyncontent">
<div class="center"><img src="main_8h__incl.png" border="0" usemap="#_2home_2e14_2Cyprien_2Webcam__openCV_2inc_2main_8h" alt=""/></div>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="main_8h__dep__incl.png" border="0" usemap="#_2home_2e14_2Cyprien_2Webcam__openCV_2inc_2main_8hdep" alt=""/></div>
<map name="_2home_2e14_2Cyprien_2Webcam__openCV_2inc_2main_8hdep" id="_2home_2e14_2Cyprien_2Webcam__openCV_2inc_2main_8hdep">
<area shape="rect" id="node2" href="image_8c.html" title="Contains all the methods related to image processing. " alt="" coords="5,95,193,136"/>
<area shape="rect" id="node3" href="main_8c.html" title="Contains the arguments parser with argp. " alt="" coords="217,95,405,136"/>
<area shape="rect" id="node4" href="print_8c.html" title="Contains all the methods that print/display something on the user&#39;s screen. " alt="" coords="429,95,617,136"/>
</map>
</div>
</div>
<p><a href="main_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa97e6cd2c5aab93d57b713ddef224b82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa97e6cd2c5aab93d57b713ddef224b82"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>verifyArguments</b> (int argc, char **argv)</td></tr>
<tr class="separator:aa97e6cd2c5aab93d57b713ddef224b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a578856b911154485c5b14af959e5d763"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a578856b911154485c5b14af959e5d763"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>print_available_devices</b> (void)</td></tr>
<tr class="separator:a578856b911154485c5b14af959e5d763"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1acc61321598ed89deec8ee9b27ca55"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1acc61321598ed89deec8ee9b27ca55"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>display_realtime</b> (const int camera_number)</td></tr>
<tr class="separator:ae1acc61321598ed89deec8ee9b27ca55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b2fb99bbdc77d1201f9ae3f33e6369e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b2fb99bbdc77d1201f9ae3f33e6369e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>take_picture</b> (const int camera_number, const char *path)</td></tr>
<tr class="separator:a5b2fb99bbdc77d1201f9ae3f33e6369e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11d9823cc23c30b9b24385f7e4742f56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11d9823cc23c30b9b24385f7e4742f56"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>take_pictures</b> (const int camera_number, const char *path, const int ms)</td></tr>
<tr class="separator:a11d9823cc23c30b9b24385f7e4742f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e1cf66f3f04ef16ab62d2b43081a96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3e1cf66f3f04ef16ab62d2b43081a96"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>msleep</b> (unsigned long milisec)</td></tr>
<tr class="separator:aa3e1cf66f3f04ef16ab62d2b43081a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa64f06259830e9f34d5649e8c34eff79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa64f06259830e9f34d5649e8c34eff79"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deep_learning_training</b> (const char *path)</td></tr>
<tr class="separator:aa64f06259830e9f34d5649e8c34eff79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a044f2971a17f7c67a32db1643b3745ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a044f2971a17f7c67a32db1643b3745ca"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deep_learning_executing</b> (const int camera_number, const char *filename)</td></tr>
<tr class="separator:a044f2971a17f7c67a32db1643b3745ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed9ca755ad04dbb3d37686d68b0cdef8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed9ca755ad04dbb3d37686d68b0cdef8"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>get_total_file</b> (const char *path)</td></tr>
<tr class="separator:aed9ca755ad04dbb3d37686d68b0cdef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ca1f9fd3a8fdda81b2735cb3bb0e4c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ca1f9fd3a8fdda81b2735cb3bb0e4c2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>get_total_directory</b> (const char *path)</td></tr>
<tr class="separator:a8ca1f9fd3a8fdda81b2735cb3bb0e4c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains the methods declaration. </p>
<dl class="section author"><dt>Author</dt><dd><a href="#" onclick="location.href='mai'+'lto:'+'bla'+'oi'+'@tu'+'ta'+'.io'; return false;">blaoi<span style="display: none;">.nosp@m.</span>@tut<span style="display: none;">.nosp@m.</span>a.io</a> </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>spring 2017 </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
